﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SQLiteRemoteServerUI
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;

        RemoteSQLite.RemoteSQLiteServer server;
        public MainWindow()
        {
            InitializeComponent();


            Assembly asm = Assembly.GetAssembly(typeof(MainWindow));
            string version = "v" + asm.GetName().Version.ToString();
            
            this.Title = "SQLite远程代理" + " " + version;
            notifyiconhelper = new FLY.AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            server = new RemoteSQLite.RemoteSQLiteServer();
            server.Start();
        }
    }
}
